﻿<Window x:Class="OnSive.ImageLibrary.Views.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:OnSive.ImageLibrary.Views"
        mc:Ignorable="d"
        AllowDrop="True"
        Drop="Window_Drop"
        DragEnter="Window_DragEnter"
        DragLeave="Window_DragLeave"
        SizeChanged="Window_SizeChanged"
        Title="MainWindow" Height="450" Width="800">
    <Grid>
        <Grid x:Name="imageGrid" HorizontalAlignment="Stretch" VerticalAlignment="Stretch">
            <Image x:Name="imageControl" HorizontalAlignment="Center" VerticalAlignment="Center" />
        </Grid>
        <Grid x:Name="dropGrid" Background="#33000000" Visibility="Collapsed">
            <Label Content="Drop image here" HorizontalAlignment="Center" VerticalAlignment="Center" />
        </Grid>
        <Grid x:Name="loadingGrid" Background="#33000000">
            <ProgressBar x:Name="loadingBar" IsIndeterminate="True" Height="20" />
        </Grid>
    </Grid>
</Window>
